Rename cosigner
Rename a cosigner by ID. Note: These endpoints are currently in beta and might be subject to changes. Endpoint Permission: Admin and Non-Signing Admin.
PATCH
/
cosigners
/
{cosignerId}
TypeScript
const response: Promise<FireblocksResponse<Cosigner>> = fireblocks.cosignersBeta.renameCosigner(cosignersBetaApiRenameCosignerRequest);CompletableFuture<ApiResponse<Cosigner>> response = fireblocks.cosignersBeta().renameCosigner(renameCosigner, cosignerId);response = fireblocks.cosigners_beta.rename_cosigner(rename_cosigner, cosigner_id);curl --request PATCH \
--url https://api.fireblocks.io/v1/cosigners/{cosignerId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Cosigner 1"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Cosigner 1'})
};
fetch('https://api.fireblocks.io/v1/cosigners/{cosignerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": false,
"id": "44fcead0-7053-4831-a53a-df7fb90d440f",
"name": "My Cosigner 1",
"type": "SGX",
"version": {
"hash": "a1b2c3d4e5",
"name": "1.0.0 (December 2025)"
}
}{
"message": "<string>",
"code": 123
}Path Parameters
The unique identifier of the cosigner
Body
application/json
The new name of the cosigner
Example:
"My Cosigner 1"
Response
A cosigner object
Whether the cosigner is archived
Example:
false
The unique identifier of the cosigner
Example:
"44fcead0-7053-4831-a53a-df7fb90d440f"
The name of the cosigner
Example:
"My Cosigner 1"
The type of the cosigner
Available options:
SANDBOX, SGX, GCP-CONFSPACE, AWS-NITRO, PLAIN Example:
"SGX"
Show child attributes
Show child attributes
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<Cosigner>> = fireblocks.cosignersBeta.renameCosigner(cosignersBetaApiRenameCosignerRequest);CompletableFuture<ApiResponse<Cosigner>> response = fireblocks.cosignersBeta().renameCosigner(renameCosigner, cosignerId);response = fireblocks.cosigners_beta.rename_cosigner(rename_cosigner, cosigner_id);